This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1281289 - Can't disable screen saver/lock screen
Can't disable screen saver/lock screen
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fedora-gnome-theme (Show other bugs)
22
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 04:11 EST by Jeffrey Walton
Modified: 2016-07-19 14:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:27:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey Walton 2015-11-12 04:11:06 EST
I run Fedora in a VM. After about 5 minutes, the screen saver kicks in. I have to swipe to clear it, which results in an SELinux violation. The SELinux violation sometimes crashes the windowing system, so things go downhill rather quickly, and a reboot is usually required.

I visited Settings → Display, but there is no setting to disable the screen saver. I visited Settings → Privacy and turned off the Lock Screen, but that did not disable the screen saver (it simply stopped prompting me for a password). And searching the Settings app for terms like "screen saver" results in 0 hits, so I'm pretty sure there are no other settings that govern the behavior.

I have *not* modified any SELinux rules. Everything is default as provided by the distro.

I have experienced this issue under both i686 and x86_64 Fedroa distros.

Please stop providing the screen saver; or give us a way to disable it. I'm tired of rebooting because of SELinux violations...
Comment 1 Fedora End Of Life 2016-07-19 14:27:49 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.